function [h0]=colorbartype(pos,lev,lev_pas,clip_lev,hpal,orien,xxx);

% 30/10/97- NS: option "orien" pour positionner la barre verticalement
%               ou horizontalement--> 1 ou 0
% 08/09/00- EK: si les valeurs sont petites, ecriture au format exponentiel

%+
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% 
% - fplod 2009-09-21T10:06:02Z aedon.locean-ipsl.upmc.fr (Darwin)
%   
%   * add minimal ReStructured Text header
%
%-

h0 = axes('Position',pos,'Box','on');
ind_lev=find( lev>=(clip_lev(1)-eps) & (lev<=clip_lev(2)+eps) );
tab_lev=[lev(ind_lev);lev(ind_lev)];

% horizontale par defaut
if (nargin < 6), orien = 0; end 

% labels en bas ou a droite par defaut
if nargin < 7, 
   if orien == 0, xxx=-.5; end
   if orien == 1, xxx=4; end
end

% Format ecriture des labels (expo ou non)
if abs(clip_lev(end)) <= 1e-2, iexp = 1; else iexp = 0; end

if orien == 0,

    pcolor(tab_lev);
    set(h0,'xticklabel', '','yticklabel','');
    abs_bar=0:1/(length(ind_lev)-1):1;
    for j=1:lev_pas:length(ind_lev)
        if iexp == 0, s=num2str(lev(ind_lev(j))); else
                      s = sprintf('%0.1e', lev(ind_lev(j)));  end
        text(abs_bar(j),xxx,s,'Fontsize', 9, 'HorizontalAlignment', ...
                              'Center', 'Units', 'normalized');
    end

else

    pcolor(tab_lev');
    set(h0,'xticklabel', '','yticklabel','');
    ord_bar=0:1/(length(ind_lev)-1):1;
    for j=1:lev_pas:length(ind_lev)
        if iexp == 0, s=num2str(lev(ind_lev(j))); else
                      s = sprintf('%0.1e', lev(ind_lev(j)));  end
        tt=text(xxx,ord_bar(j),s,'Fontsize', 9, ...
            'HorizontalAlignment','right','Units', 'normalized');
%        tt=text(xxx,ord_bar(j),s,'Fontsize', 6,'HorizontalAlignment','right','Units', 'normalized');
    end

end
colormap(hpal);
caxis(clip_lev);

