function [ xti_str, yti_str] = contlab(xti, yti)
%
%------------------------------------------------------------------------
% function [ xti_str yti_str] = contlab(xti, yti)
%
% fonction pour labels et ticks sur les axes longitude et latitude
% longitude --> xti tableau defini par lon0:pas:lon1;
% latitude  --> yti tableau defini par lat0:pas:lat1;
%
% 24/10/96 - EK
%------------------------------------------------------------------------

%+
%
% EVOLUTIONS
% ==========
%
% $Id$
%
%
% - fplod 2009-09-21T10:06:02Z aedon.locean-ipsl.upmc.fr (Darwin)
%   
%   * add minimal ReStructured Text header
%
%-
 
% Tick labels pour longitude
set(gca, 'Xticklabel', xti);
xlab =  get(gca, 'Xticklabel');
[mxlab nxlab] = size(xlab);
nxlab_str = int2str(nxlab);
%xti_str = zeros(mxlab, nxlab+1);
for iti = 1:mxlab
    xxx = rem(str2num(xlab(iti,:))+540, 360)-180;
    if (xxx<0), xti_str(iti,:) = sprintf(['%' nxlab_str '.0fW'],abs(xxx));
        elseif (xxx>0) ...
                xti_str(iti,:)=sprintf(['%' nxlab_str '.0fE'],(xxx));
        else xti_str(iti,:)=sprintf(['%' nxlab_str '.0f '],(xxx));
    end;
end;

% Tick labels pour latitude
set(gca, 'Yticklabel', yti);
ylab = get(gca, 'Yticklabel');
[mylab nylab] = size(ylab);
nylab_str = int2str(nylab);
%yti_str = zeros(mylab, nylab+1);
for iti = 1:mylab
    yyy = str2num(ylab(iti,:));
    if (yyy<0), yti_str(iti,:)=sprintf(['%' nylab_str '.0fS'],abs(yyy));
        elseif (yyy>0) ...
                yti_str(iti,:)=sprintf(['%' nylab_str '.0fN'],(yyy)); 
        else yti_str(iti,:)=sprintf(['%' nylab_str '.0f '],(yyy));
    end;
end;

return
